#!/usr/bin/env bash

set -euo pipefail

. $(dirname "$0")/flux-version-check.sh

# This kustomization's only purpose is to add the kustomization that is in the
# flxu2/cluster/optional/nextcloud folder. After this kustomization is applied
# an `add-nextcloud` kustomization will be present on the cluster, as well as a
# `nextcloud` kustomization that adds the actual app
flux create kustomization add-nextcloud \
  --source=GitRepository/openappstack \
  --path="./flux2/cluster/optional/nextcloud" \
  --prune=true \
  --interval=1h
